Package org.eclipse.ui.texteditor

## Class CaseAction

- java.lang.Object
- - org.eclipse.core.commands.common.EventManager
  - - org.eclipse.jface.action.AbstractAction
    - - org.eclipse.jface.action.Action
      - - org.eclipse.ui.texteditor.ResourceAction
        - - org.eclipse.ui.texteditor.TextEditorAction
          - - org.eclipse.ui.texteditor.CaseAction

All Implemented Interfaces:
  `IAction`, `IUpdate`

    public class CaseAction
    extends TextEditorAction

Action that converts the current selection to lower case or upper case.

Since:
  3.0

### Field Summary

### Fields inherited from interface org.eclipse.jface.action.IAction

`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

### Constructor Summary

Constructors
`CaseAction​(ResourceBundle bundle, String prefix, AbstractTextEditor editor, boolean toUpper)` Creates and initializes the action for the given text editor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `run()` The default implementation of this `IAction` method does nothing.

### Methods inherited from class org.eclipse.ui.texteditor.TextEditorAction

`canModifyEditor, getTextEditor, setEditor, update, validateEditorInputState`

### Methods inherited from class org.eclipse.ui.texteditor.ResourceAction

`getString, initialize, setHelpContextId`

### Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

### Methods inherited from class org.eclipse.jface.action.AbstractAction

`addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

### Methods inherited from class org.eclipse.core.commands.common.EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CaseAction

    public CaseAction​(ResourceBundle bundle,
                      String prefix,
                      AbstractTextEditor editor,
                      boolean toUpper)

Creates and initializes the action for the given text editor. The action configures its visual representation from the given resource bundle.

Parameters:
  `bundle` - the resource bundle
  `prefix` - a prefix to be prepended to the various resource keys (described in `ResourceAction` constructor), or `null` if none
  `editor` - the text editor
  `toUpper` - `true` if this is an uppercase action, `false` otherwise.
See Also:
  `ResourceAction(ResourceBundle, String)`

### Method Detail

#### run

    public void run()

Description copied from class: `Action`
The default implementation of this `IAction` method does nothing. Subclasses should override this method if they do not need information from the triggering event, or override `runWithEvent(Event)` if they do.

Specified by:
  `run` in interface `IAction`
Overrides:
  `run` in class `Action`
See Also:
  `How radio buttons are handled`, `How check boxes are handled`